Subject: Iff loading etc.
From: tom duncan <[email-masked]>
To: [email-masked]
Date: Mon, 18 Jul 1994 08:30:26 +1000 (EST)

Hi all.

I am having a problem with loading IFF iamges into screens.
When I load into a screen I get an anoying flash on the current screen.
Any ideas anyone. Also has anyone found a QUICKER IFF loader. Speed is of
the essence with my project and it gets realy bogged down with the current
loader.

Here is a listing of my loader. Any ideas anyone?

   ; load or initialise a screen into S
   USEPATH Events()
   If Len(\_File)>0
      ; Load image
      ILBMInfo \_File
      w.w=ILBMWidth
      h.w=ILBMHeight
      d.w=ILBMDepth
      Id.l=ILBMViewMode
      Free Window S : Free Screen S : Free BitMap S : Free GadgetList S
      BitMap S,w,h,d
      Screen S,0,800,w,h,d,Id,"",1,2,S
      HideScreen S
      ; Now Open Window onto Screen
      Window S,0,0,w,h,$0900,"",1,2
      LoadScreen S,\_File,S
      Use Palette S
      OK.b=True
      MoveScreen S,0,-800
   Else
      OK.b=False
   EndIf

Thanks in advance
Tom Duncan
[email-masked]